databaseChangeLog:
  - changeSet:
      id: 1
      author: Khalil
      changes:
        - createTable:
            tableName: user
            columns:
              - column:
                  name: id
                  type: bigint
                  autoIncrement: true
                  constraints:
                    primaryKey: true
              - column:
                  name: username
                  type: varchar(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: email
                  type: varchar(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: password_hash
                  type: varchar(255)
                  constraints:
                    nullable: false
        - createTable:
            tableName: task
            columns:
              - column:
                  name: id
                  type: bigint
                  autoIncrement: true
                  constraints:
                    primaryKey: true
              - column:
                  name: description
                  type: varchar(255)
                  constraints:
                    nullable: false
              - column:
                  name: completed
                  type: boolean
              - column:
                  name: user_id
                  type: bigint
                  constraints:
                    nullable: false
                    foreignKeyName: fk_task_user
                    references: user(id)
